Bug 178655 - kernel-devel missing the .kernelrelease file
kernel-devel missing the .kernelrelease file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 22:17 EST by Henrik Nordstrom
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-24 00:17:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Include .kernelrelease in the -devel package (651 bytes, patch)
2006-01-22 22:25 EST, Henrik Nordstrom
no flags Details | Diff

  None (edit)
Description Henrik Nordstrom 2006-01-22 22:17:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
/lib/modules/`uname -r`/build/.kernelrelease missing from the kernel-devel package

Version-Release number of selected component (if applicable):
kernel-devel-2.6.15-1.1826.2.10_FC5
kernel-devel-2.6.15-1.1861_FC5

How reproducible:
Always

Steps to Reproduce:
1. Grab a third party module source, or a module extracted from the kernel tree with a makefile instructing it to be built. For example the ip_wccp module found at http://www.squid-cache.org/WCCP-support/Linux/

2. cd /lib/modules/`uname -r`/build

3. make M=/path/to/custom/module_sources modules modules_install

Actual Results:  The module gets installed into /lib/modules//extra/

Expected Results:  the module should have been installed into /lib/modules/`uname -r`/extra/ directory.

Additional info:

Workaround:

uname -r >/lib/modules/`uname -r`/build/.kernelrelease
Comment 1 Henrik Nordstrom 2006-01-22 22:25:06 EST
Created attachment 123558 [details]
Include .kernelrelease in the -devel package

trivial patch adding the file to the distributed -devel package. Untested, but
should work I think..
Comment 2 Dave Jones 2006-01-24 00:17:18 EST
fixed in rawhide, thanks.

any reason this hasn't been submitted upstream btw ?
Comment 3 Henrik Nordstrom 2006-01-24 07:14:23 EST
I didn't see much reason to report problem in your specfile upstream.. I normal
kernel build obviously creates the file where it is supposed to be, the problem
was just that it was not copied over to your kernel-devel package, used for
building custom modules without the whole kernel sources..
Comment 4 Dave Jones 2006-01-24 14:22:44 EST
no, I meant pushing your wccp module :-)

Note You need to log in before you can comment on or make changes to this bug.